http
POST https://services.leadconnectorhq.com/social-media-posting/{locationId}/tags/detailsAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT | Account Id |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
tagIds | string[] | Yes | Array of Tag Ids |
Responses
201 - Successful response
success(boolean, required): Success or Failure Example:TruestatusCode(number, required): Status Code Example:201message(string, required): Message Example:Fetched Tags by Tag IDsresults(object): Requested Results
json
{
"success": true,
"statusCode": 201,
"message": "Fetched Tags by Tag IDs"
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X POST 'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/tags/details' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"tagIds": [
"65fbdcfecc884f07e645ea8b"
]
}'const response = await fetch('https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/tags/details', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"tagIds": ["65fbdcfecc884f07e645ea8b"]}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/tags/details',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"tagIds": ["65fbdcfecc884f07e645ea8b"]},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/tags/details');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'tagIds': ['65fbdcfecc884f07e645ea8b']}),
]);
$data = json_decode(curl_exec($ch), true);